## pointpats 2.5.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = pointpats
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

github:
	@make html

sync:
	@rsync -avh _build/html/ ../docs/ --delete
	@make clean
	touch .nojekyll

clean:
	rm -rf $(BUILDDIR)/*
	rm -rf auto_examples/
	rm -rf generated/

## pointpats 2.4.0

=== debian/changelog ===
pointpats (2.4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1058897)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 14 Dec 2023 21:51:09 -0300

=== debian/control ===
Source: pointpats
Section: python
Priority: optional
Maintainer: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pandoc,
               libjs-mathjax,
               libjs-requirejs,
               pybuild-plugin-pyproject,
               python3-all,
               python3-coverage,
               python3-geopandas,
               python3-libpysal,
               python3-matplotlib,
               python3-sphinx-rtd-theme,
               python3-myst-parser,
               python3-nbsphinx,
               python3-numpy,
               python3-numpydoc,
               python3-pandas,
               python3-pytest-xdist,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-mpl,
               python3-scipy,
               python3-setuptools,
               python3-shapely,
               python3-sklearn,
               python3-sphinx,
               python3-sphinx-bootstrap-theme,
               python3-sphinxcontrib.bibtex
Standards-Version: 4.6.2
Homepage: https://github.com/pysal/pointpats
Vcs-Browser: https://salsa.debian.org/science-team/pointpats
Vcs-Git: https://salsa.debian.org/science-team/pointpats.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-pointpats
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-pointpats-doc
Description: statistical analysis of planar point patterns
 The main objective of this module is to provide methods and functions for
 analyzing spatial patterns in point data. This includes the detection and
 characterization of different types of patterns, such as clusters, scatters
 or random patterns.
 .
 The project is integrated with the PySAL library, which is a broader library
 for spatial analysis in Python. This means that PointPatterns can be used in
 conjunction with other tools available in the PySAL ecosystem.
 .
 One of the main features of the module is to provide methods to calculate
 descriptive statistics, detect spatial clusters, perform orbit analysis
 and even perform statistical tests to evaluate the significance of observed
 patterns.

Package: python-pointpats-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: statistical analysis of planar point patterns (common documentation)
 The main objective of this module is to provide methods and functions for
 analyzing spatial patterns in point data. This includes the detection and
 characterization of different types of patterns, such as clusters, scatters
 or random patterns.
 .
 The project is integrated with the PySAL library, which is a broader library
 for spatial analysis in Python. This means that PointPatterns can be used in
 conjunction with other tools available in the PySAL ecosystem.
 .
 One of the main features of the module is to provide methods to calculate
 descriptive statistics, detect spatial clusters, perform orbit analysis
 and even perform statistical tests to evaluate the significance of observed
 patterns.
 .
 This package installs the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=pointpats
export PYBUILD_TEST_CUSTOM=1

%:

	dh $@ --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	pytest -v -p no:warnings -k 'not test_spacetime.py' pointpats/tests/
endif

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N  -d debian/doctrees -bhtml docs/ debian/html

# Fix privacy-breach-generic
override_dh_link:
	dh_link
	find debian/python-pointpats-doc/ -name '*.html' -exec sed -i 's/src=/""/g' {} \;
#Fix embedded-javascript-library
	find debian/python-pointpats-doc/ -type f -name '*.js' -delete
	find debian/python-pointpats-doc/ -type d -name 'js' -exec rm -rf {} +
#Fix font-in-non-font-package	
	find debian/python-pointpats-doc/ -type d -name 'fonts' -exec rm -rf {} +

=== debian/watch ===
version=4
https://github.com/pysal/pointpats/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## pointpats 2.5.0

=== debian/changelog ===
pointpats (2.5.0-1) unstable; urgency=medium

  * New upstream version 2.5.0
  * debian/clean:
     Include build artifacts
  * debian/control:
     Added Build-depends jdupes
     Bumped Standards-Version to 4.7.0
  * debian/patches:
     Removed  001.skip-function.patch and 002.intersphinx.patch
  * debian/rules:
     Changed to dh_link when removing duplicate files
     Removed files duplicate

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 07 Jul 2024 22:11:12 -0300

pointpats (2.4.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: This is a Debian Science team package, mark as such.
  * d/control: build-dep on setuptools-scm to fix wrong "0.0.0" version
  * d/control: annotate some build-deps with build profiles
  * d/rules: use regular pybuild for running the tests. Also fixes the
             pybuild-autopkgtest to actually test the package.
  * d/control: reformat
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Added patch to create intersphinx links to packages documentation instead
    of remote sites, when possible.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 26 Apr 2024 13:57:44 +0200

## pointpats 2.5.1

=== debian/changelog ===
pointpats (2.5.1-2) unstable; urgency=medium

  * Changed autopkgtest-pkg-pybuild by debian/tests/control
  * debian/patches: Fixed invalid escape sequence (Closes: #1085783)
  * debian/rules: Removed "export PYBUILD_TEST_ARGS="

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 02 Mar 2025 23:49:15 -0300

pointpats (2.5.1-1) unstable; urgency=medium

  * New upstream version 2.5.1
  * debian/patches/004.remove-warnings.patch: Fixed in the new version

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 15 Oct 2024 22:34:02 -0300

=== debian/control ===
--- 
+++ 
@@ -1,46 +1,57 @@
 Source: pointpats
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
 Section: python
 Priority: optional
-Maintainer: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
+               jdupes,
                dh-sequence-python3,
-               pandoc,
                libjs-mathjax,
                libjs-requirejs,
                pybuild-plugin-pyproject,
                python3-all,
                python3-coverage,
-               python3-geopandas,
+               python3-doc <!nodoc>,
+               python3-geopandas <!nocheck>,
                python3-libpysal,
+               python-libpysal-doc <!nodoc>,
                python3-matplotlib,
-               python3-sphinx-rtd-theme,
-               python3-myst-parser,
-               python3-nbsphinx,
+               python3-sphinx-rtd-theme <!nodoc>,
+               python3-myst-parser <!nodoc>,
+               python3-nbsphinx <!nodoc>,
                python3-numpy,
-               python3-numpydoc,
+               python3-numpydoc <!nodoc> <!nocheck>,
                python3-pandas,
-               python3-pytest-xdist,
-               python3-pytest,
-               python3-pytest-cov,
-               python3-pytest-mpl,
+               python-pandas-doc <!nodoc>,
+               python3-pytest-xdist <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-pytest-cov <!nocheck>,
+               python3-pytest-mpl <!nocheck>,
                python3-scipy,
+               python-scipy-doc <!nodoc>,
                python3-setuptools,
-               python3-shapely,
+               python3-setuptools-scm,
+               python3-shapely <!nocheck>,
                python3-sklearn,
-               python3-sphinx,
-               python3-sphinx-bootstrap-theme,
-               python3-sphinxcontrib.bibtex
-Standards-Version: 4.6.2
-Homepage: https://github.com/pysal/pointpats
+               python3-sphinx <!nodoc>,
+               python3-sphinx-bootstrap-theme <!nodoc>,
+               python3-sphinxcontrib.bibtex <!nodoc>,
+               python-statsmodels-doc <!nodoc>
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/pointpats
 Vcs-Git: https://salsa.debian.org/science-team/pointpats.git
-Testsuite: autopkgtest-pkg-pybuild
+Homepage: https://github.com/pysal/pointpats
+Rules-Requires-Root: no
+#Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pointpats
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
-Suggests: python-pointpats-doc
+Depends: ${misc:Depends},
+         ${python3:Depends}
+Recommends: python3-geopandas
+Suggests: python-pointpats-doc,
+          python3-sklearn,
+          python3-shapely
 Description: statistical analysis of planar point patterns
  The main objective of this module is to provide methods and functions for
  analyzing spatial patterns in point data. This includes the detection and
@@ -57,9 +68,15 @@
  patterns.
 
 Package: python-pointpats-doc
+Architecture: all
 Section: doc
-Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends}
+Suggests: python3-doc,
+          python-scipy-doc,
+          python-libpysal-doc,
+          python-pandas-doc,
+          python-statsmodels-doc
 Description: statistical analysis of planar point patterns (common documentation)
  The main objective of this module is to provide methods and functions for
  analyzing spatial patterns in point data. This includes the detection and

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=pointpats

%:

	dh $@ --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	pytest -v -p no:warnings -k 'not test_spacetime.py' pointpats/tests/
endif

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build:
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N  -d debian/doctrees -bhtml docs/ debian/html
endif

override_dh_link:
	dh_link
# Fixe duplicate-files
	jdupes -rl debian/python-pointpats-doc/

# Fix privacy-breach-generic
execute_after_dh_link:
	find debian/python-pointpats-doc/ -name '*.html' -exec sed -i 's/src=/""/g' {} \;
#Fix embedded-javascript-library
	find debian/python-pointpats-doc/ -type f -name '*.js' -delete
	find debian/python-pointpats-doc/ -type d -name 'js' -exec rm -rf {} +
#Fix font-in-non-font-package
	find debian/python-pointpats-doc/ -type d -name 'fonts' -exec rm -rf {} +

=== debian/tests/control ===
Test-Command: python3 -m pytest -v -p no:warnings -k 'not test_spacetime.py' pointpats/tests/
Depends: @, 
         python3-all, 
         python3-pytest, 
         python3-geopandas,
         python3-numpy,
         python3-numpydoc,
         python3-pandas,
         python3-pytest-xdist,
         python3-pytest,
         python3-pytest-cov,
         python3-pytest-mpl,
         python3-shapely,
Architecture: !s390x
Restrictions: allow-stderr
